# geos::operation::valid::SweeplineNestedRingTester Class Reference

Tests whether any of a set of LinearRings are nested inside another ring in the set, using an index::sweepline::SweepLineIndex to speed up the comparisons. More...

`#include <SweeplineNestedRingTester.h>`

List of all members.

## Public Member Functions

| SweeplineNestedRingTester (geomgraph::GeometryGraph *newGraph)
geom::Coordinate * | getNestedPoint ()
void | add (geom::LinearRing *ring)
bool | isNonNested ()
bool | isInside (geom::LinearRing *innerRing, geom::LinearRing *searchRing)

## Detailed Description

Tests whether any of a set of LinearRings are nested inside another ring in the set, using an index::sweepline::SweepLineIndex to speed up the comparisons.

The documentation for this class was generated from the following file:

- SweeplineNestedRingTester.h